{"openapi":"3.0.0","info":{"title":"OVHcloud API specification","description":"Specification for OVHcloud API","version":"1.0","contact":{"name":"OVH","email":"api@ml.ovh.net"}},"servers":[{"url":"https://api.eu.ovhcloud.com/v1"}],"components":{"schemas":{"any":{"description":"Can be anything (text, int, bool, json, html, etc.)","example":"This is a content of any type !"},"dedicatedCloud.Task":{"type":"object","description":"Operation","properties":{"createdBy":{"type":"string","description":"Creator of the task","nullable":true,"readOnly":true},"createdFrom":{"type":"string","description":"Origin of the task","nullable":true,"readOnly":true},"datacenterId":{"type":"integer","description":"datacenterId of the associated dedicatedCloud.Datacenter object","nullable":true,"readOnly":true},"description":{"type":"string","description":"Current progress description","nullable":true,"readOnly":true},"endDate":{"type":"string","description":"Task end date","nullable":true,"format":"date-time","readOnly":true},"executionDate":{"type":"string","description":"Task execution date","format":"date-time","readOnly":true},"filerId":{"type":"integer","description":"filerId of the associated dedicatedCloud.Filer object","nullable":true,"readOnly":true},"hostId":{"type":"integer","description":"hostId of the associated dedicatedCloud.Host object","nullable":true,"readOnly":true},"lastModificationDate":{"type":"string","description":"Task last modification date","nullable":true,"format":"date-time","readOnly":true},"maintenanceDateFrom":{"type":"string","description":"Maintenance task min allowed execution date","nullable":true,"format":"date-time","readOnly":true},"maintenanceDateTo":{"type":"string","description":"Maintenance task max allowed execution date","nullable":true,"format":"date-time","readOnly":true},"name":{"type":"string","description":"Task name","readOnly":true},"network":{"type":"string","description":"network of the associated dedicatedCloud.Ip object","nullable":true,"readOnly":true},"networkAccessId":{"type":"integer","description":"networkAccessId of the associated dedicatedCloud.AllowedNetwork object","nullable":true,"readOnly":true},"orderId":{"type":"integer","description":"orderId of the associated billing.Order object","nullable":true,"readOnly":true},"parentTaskId":{"type":"integer","description":"taskId of the parent dedicatedCloud.Task object","nullable":true,"readOnly":true},"progress":{"type":"integer","description":"Current progress","readOnly":true},"state":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.TaskStateEnum"}],"description":"Current Task state","readOnly":true},"taskId":{"type":"integer","description":"Task id","readOnly":true},"type":{"type":"string","description":"Task type","readOnly":true},"userId":{"type":"integer","description":"userId of the associated dedicatedCloud.User object","nullable":true,"readOnly":true},"vlanId":{"type":"integer","description":"vlanId of the parent dedicatedCloud.Vlan object","nullable":true,"readOnly":true}}},"dedicatedCloud.TaskStateEnum":{"type":"string","description":"All states a Dedicated Cloud Task can be in","enum":["canceled","doing","done","error","fixing","toCancel","toCreate","todo","unknown","waitingForChilds","waitingTodo"]},"dedicatedCloud.VMEncryption":{"type":"object","description":"Virtual machine encryption option","properties":{"state":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.option.StateEnum"}],"description":"State of the option","readOnly":true}}},"dedicatedCloud.VMEncryptionAccessNetwork":{"type":"object","description":"Virtual machine encryption KMS server","properties":{"description":{"type":"string","description":"Description of your option access network","readOnly":true},"ip":{"allOf":[{"$ref":"#/components/schemas/ipv4"}],"description":"IP address of the remote service","readOnly":true},"kmsId":{"type":"integer","description":"Id of the VM Encryption KMS","readOnly":true},"kmsTcpPort":{"type":"integer","description":"VM Encryption KMS TCP port","readOnly":true},"sslThumbprint":{"type":"string","description":"SSL thumbprint of the remote service","readOnly":true},"state":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.optionAccessNetwork.StateEnum"}],"description":"State of the option","readOnly":true}}},"dedicatedCloud.option.StateEnum":{"type":"string","description":"States of a Dedicated Cloud option","enum":["disabled","disabling","enabled","enabling","error","migrating","unknown"]},"dedicatedCloud.optionAccessNetwork.StateEnum":{"type":"string","description":"States of a Dedicated Cloud option","enum":["creating","deleting","delivered","error","toCreate","toDelete","toUpdate","unknown","updating"]},"duration":{"type":"string","description":"Duration (e.g., P1Y2M3DT4H6M9S)","example":"P1Y2M3DT4H6M9S"},"email":{"type":"string","description":"Email address (e.g., api@ml.ovh.net)","format":"email","example":"api@ml.ovh.net"},"internationalPhoneNumber":{"type":"string","description":"International phone number","format":"phone-number"},"ip":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipBlock":{"type":"string","description":"IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)","format":"ip-block","example":"192.0.2.0/24"},"ipInterface":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4":{"type":"string","description":"IPv4 address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4Block":{"type":"string","description":"IPv4 CIDR notation (e.g., 192.0.2.0/24)","format":"ipv4-block","example":"192.0.2.0/24"},"ipv6":{"type":"string","description":"IPv6 address (e.g., 2001:41d0:1:1994::1)","format":"ipv6","example":"2001:41d0:1:1994::1"},"ipv6Block":{"type":"string","description":"IPv6 CIDR notation (e.g., 2001:41d0::/128)","format":"ipv6-block","example":"2001:41d0::/128"},"macAddress":{"type":"string","description":"MAC address (e.g., 00:00:5e:00:53:01)","format":"mac-address","example":"00:00:5e:00:53:01"},"phoneNumber":{"type":"string","description":"Phone number","format":"phone-number"},"time":{"type":"string","description":"Time (e.g., 15:04:05)","format":"time","example":"15:04:05"}},"securitySchemes":{"oAuth2AuthCode":{"type":"oauth2","description":"Oauth2","x-client-id":"1bb9c7df371741c0","x-client-secret":"a5b4de870aca620d10fbf63cd18d205b","flows":{"authorizationCode":{"authorizationUrl":"https://auth.eu.ovhcloud.com/oauth2/authorize","tokenUrl":"https://auth.eu.ovhcloud.com/oauth2/token","scopes":{"account/all":"Manage your account","all":"Manage your whole account and all your services","services/all":"Manage your services lifecycle and billing"}}}}}},"paths":{"/dedicatedCloud/{serviceName}/vmEncryption":{"get":{"summary":"Get the VM encryption option","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.VMEncryption"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Encryption@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/dedicatedCloud/{serviceName}/vmEncryption\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/dedicatedCloud/{serviceName}/vmEncryption\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:vmEncryption/get","required":true}]}},"/dedicatedCloud/{serviceName}/vmEncryption/kms":{"get":{"summary":"List KMS servers","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"type":"integer"}}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Encryption@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/dedicatedCloud/{serviceName}/vmEncryption/kms\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/dedicatedCloud/{serviceName}/vmEncryption/kms\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:vmEncryption/kms/get","required":true}],"x-expanded-response":"DedicatedCloudVMEncryptionAccessNetwork"},"post":{"summary":"Create a KMS server","description":"Create a KMS server. Registers a KMS server by IP address and SSL thumbprint. Returns a task to track progress.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"description":{"type":"string","description":"Description of your option access network"},"ip":{"description":"IP address of the remote service, e.g. 123.100.200.0","$ref":"#/components/schemas/ipv4"},"sslThumbprint":{"type":"string","description":"SSL thumbprint of the remote service, e.g. A7:61:68:...:61:91:2F"}},"required":["ip","sslThumbprint"]}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.Task"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Encryption@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: string\nresult = client.post(\"/dedicatedCloud/{serviceName}/vmEncryption/kms\",\n\tdescription = None, # Description of your option access network (type: string, nullable)\n\tip = None, # IP address of the remote service, e.g. 123.100.200.0 (type: ipv4)\n\tsslThumbprint = None, # SSL thumbprint of the remote service, e.g. A7:61:68:...:61:91:2F (type: string)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: string\n$result = $ovh->post(\"/dedicatedCloud/{serviceName}/vmEncryption/kms\", array(\n\tdescription => null, // Description of your option access network (type: string, nullable)\n\tip => null, // IP address of the remote service, e.g. 123.100.200.0 (type: ipv4)\n\tsslThumbprint => null, // SSL thumbprint of the remote service, e.g. A7:61:68:...:61:91:2F (type: string)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:vmEncryption/kms/create","required":true}]}},"/dedicatedCloud/{serviceName}/vmEncryption/kms/{kmsId}":{"delete":{"summary":"Delete a KMS server","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"kmsId","description":"Id of the VM Encryption KMS","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.Task"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Encryption@@@30"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.delete(\"/dedicatedCloud/{serviceName}/vmEncryption/kms/{kmsId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->delete(\"/dedicatedCloud/{serviceName}/vmEncryption/kms/{kmsId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:vmEncryption/kms/delete","required":true}]},"get":{"summary":"Get a KMS server","description":"Get a KMS server. Returns the KMS server: IP address, TCP port, SSL thumbprint, description and state.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"kmsId","description":"Id of the VM Encryption KMS","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.VMEncryptionAccessNetwork"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Encryption@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/dedicatedCloud/{serviceName}/vmEncryption/kms/{kmsId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/dedicatedCloud/{serviceName}/vmEncryption/kms/{kmsId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:vmEncryption/kms/get","required":true}]}},"/dedicatedCloud/{serviceName}/vmEncryption/kms/{kmsId}/changeProperties":{"post":{"summary":"Update a KMS server","description":"Update a KMS server. Updates the SSL thumbprint or the description of the KMS server. Returns a task to track progress.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"kmsId","description":"Id of the VM Encryption KMS","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"description":{"type":"string","description":"Description of your option access network"},"sslThumbprint":{"type":"string","description":"SSL thumbprint of the remote service, e.g. A7:61:68:...:61:91:2F"}},"required":["sslThumbprint"]}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.Task"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Encryption@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.post(\"/dedicatedCloud/{serviceName}/vmEncryption/kms/{kmsId}/changeProperties\",\n\tdescription = None, # Description of your option access network (type: string, nullable)\n\tsslThumbprint = None, # SSL thumbprint of the remote service, e.g. A7:61:68:...:61:91:2F (type: string)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->post(\"/dedicatedCloud/{serviceName}/vmEncryption/kms/{kmsId}/changeProperties\", array(\n\tdescription => null, // Description of your option access network (type: string, nullable)\n\tsslThumbprint => null, // SSL thumbprint of the remote service, e.g. A7:61:68:...:61:91:2F (type: string)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:vmEncryption/kms/changeProperties","required":true}]}}}}
